[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetCursor

Changes the shape of the mouse cursor.

## Declaration

Source position: winapih.inc line 244

`public function TWidgetSet.SetCursor(`
`hCursor: HICON`
`):HCURSOR; virtual;`

## Arguments

`hCursor` |  | The new cursor handle.

## Function result

The handle of the previous cursor, zero if none.

## See also

TWidgetSet.CreateStandardCursor |  | Creates one of the standard cursors.
TCursor |  | Defines the range of values used for cursor shapes.